# $Revision: 1.21.2.2 $, $Date: 2006/05/18 22:37:03 $
Summary:	Applet that displays the network status in a GNOME panel
Summary(pl):	Aplet wywietlajcy stan pocze sieciowych na panelu GNOME
Name:		gnome-netstatus
Version:	2.12.0
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-netstatus/2.12/%{name}-%{version}.tar.bz2
# Source0-md5:	a5f23731a3bf232969e82afef8792a36
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-doc-utils >= 0.3.1-2
BuildRequires:	gnome-panel-devel >= 2.14.0
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	intltool
BuildRequires:	libglade2-devel >= 1:2.5.0
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libtool
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,preun):	GConf2
Requires(post,postun):	scrollkeeper
Requires:	libgnomeui >= 2.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Applet that displays the network status in a GNOME panel.

%description -l pl
Aplet wywietlajcy stan pocze sieciowych na panelu GNOME.

%prep
%setup -q

%build
gnome-doc-prepare --copy --force
%{__gnome_doc_common}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install netstatus.schemas

%preun
%gconf_schema_uninstall netstatus.schemas

%postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/%{name}-applet
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/*.png
%{_libdir}/bonobo/servers/*
%{_omf_dest_dir}/%{name}
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/netstatus.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-netstatus.spec,v $
Revision 1.21.2.2  2006/05/18 22:37:03  baggins
- release 3
- strict reqs

Revision 1.21.2.1  2006/05/16 14:27:09  baggins
- release 2
- BRs for GNOME 2.14

Revision 1.22  2006/03/21 19:13:50  freetz
- rel.2

Revision 1.21  2005/09/06 17:38:33  freetz
- merged from DEVEL and updated to 2.12.0

Revision 1.20.2.5  2005/08/22 19:49:29  paladine
- gnome-doc-utils for omf files
- itemize schemas

Revision 1.20.2.4  2005/08/22 19:28:51  aflinta
- version 2.11.92

Revision 1.20.2.3  2005/08/18 10:58:11  aflinta
- rebuild with cairo, rel. 2

Revision 1.20.2.2  2005/07/28 17:32:23  freetz
- 2.11.90

Revision 1.20.2.1  2005/07/24 09:17:37  freetz
- 2.11.1, BRs/Rs updated, sorted %%files list

Revision 1.20  2005/06/14 19:25:31  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.19  2005/04/12 17:25:57  freetz
- new style macros, rel.3

Revision 1.18  2005/03/20 20:38:05  aflinta
- rebuild with howl 0.9.10, relase 2

Revision 1.17  2005/03/11 22:07:47  grzegol
- merged from DEVEL and updated to 2.10.0

Revision 1.16.2.1  2005/02/08 21:44:57  grzegol
- updated to 2.9.4

Revision 1.16  2004/09/15 08:53:30  grzegol
- merged from DEVEL and updated to 2.8.0

Revision 1.15  2004/06/14 22:40:18  grzegol
- updated to 2.6.2

Revision 1.14.2.6  2004/08/30 16:10:57  grzegol
- updated to 2.7.92
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.14.2.5  2004/08/22 21:37:38  aflinta
- rebuild with howl, release 2

Revision 1.14.2.4  2004/08/17 17:29:20  aflinta
- up to version 2.7.91

Revision 1.14.2.3  2004/08/03 17:42:24  grzegol
- updated to 2.7.90

Revision 1.14.2.2  2004/07/07 19:01:45  grzegol
- updated to 2.7.3.1

Revision 1.14.2.1  2004/06/05 17:10:16  freetz
- 2.7.1 - gnome 2.8 developement series

Revision 1.14  2004/04/19 21:15:05  grzegol
- updated to 2.6.1

Revision 1.13  2004/03/31 15:24:05  grzegol
- updated to 2.6.0.1

Revision 1.12  2004/03/22 23:14:27  grzegol
- updated to 2.6.0

Revision 1.11  2004/03/15 16:47:14  grzegol
- updated to 2.5.92
- added locale-names patch (changes locale no -> nb)
- regenerate lt/al/ac/am

Revision 1.10  2004/03/08 12:42:52  grzegol
- updated to 2.5.91

Revision 1.9  2004/02/16 23:08:24  grzegol
- updated to 0.16

Revision 1.8  2004/02/11 17:02:07  grzegol
- fixed Source0 url

Revision 1.7  2004/02/11 16:43:31  grzegol
- updated to 0.15
- added scrollkeeper-update to %%post/%%postun

Revision 1.6  2004/02/10 10:37:25  ankry
- really reversed translation change

Revision 1.5  2004/02/10 10:16:31  qboosh
- unifications

Revision 1.4  2004/02/10 10:04:08  ankry
- reversed last change

Revision 1.3  2004/02/09 23:39:27  ankry
- s/wywietlajcy/pokazujcy/ in pl

Revision 1.2  2004/02/05 16:07:47  grzegol
- added pl
- more BRs (it requires gtk+2-devel >= 2.3.1)
- added %%gconf_schema_install to %%post
- added missing dirs and %%doc
- cosmetics
- rel. 1

Revision 1.1  2004/02/05 10:27:51  aflinta
- PLD initial release
